<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.configuration2.plist.Token (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.configuration2.plist.Token (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/plist/class-use/Token.html" target="_top">Frames</a></li>
<li><a href="Token.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.configuration2.plist.Token" class="title">Uses of Class<br>org.apache.commons.configuration2.plist.Token</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Token</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.plist">org.apache.commons.configuration2.plist</a></td>
<td class="colLast">
<div class="block">
 Configuration classes supporting NeXT / OpenStep /GNUStep style configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2.plist">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Token</a> in <a href="../../../../../../org/apache/commons/configuration2/plist/package-summary.html">org.apache.commons.configuration2.plist</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../org/apache/commons/configuration2/plist/package-summary.html">org.apache.commons.configuration2.plist</a> declared as <a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Token</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Token</a></code></td>
<td class="colLast"><span class="typeNameLabel">ParseException.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/plist/ParseException.html#currentToken">currentToken</a></span></code>
<div class="block">This is the last token that has been consumed successfully.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Token</a></code></td>
<td class="colLast"><span class="typeNameLabel">Token.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/plist/Token.html#next">next</a></span></code>
<div class="block">A reference to the next regular (non-special) token from the input
 stream.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Token</a></code></td>
<td class="colLast"><span class="typeNameLabel">Token.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/plist/Token.html#specialToken">specialToken</a></span></code>
<div class="block">This field is used to access special tokens that occur prior to this
 token, but after the immediately preceding regular (non-special) token.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/plist/package-summary.html">org.apache.commons.configuration2.plist</a> that return <a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Token</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Token</a></code></td>
<td class="colLast"><span class="typeNameLabel">PropertyListParserTokenManager.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/plist/PropertyListParserTokenManager.html#getNextToken--">getNextToken</a></span>()</code>
<div class="block">Get the next Token.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Token</a></code></td>
<td class="colLast"><span class="typeNameLabel">PropertyListParserTokenManager.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/plist/PropertyListParserTokenManager.html#jjFillToken--">jjFillToken</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Token</a></code></td>
<td class="colLast"><span class="typeNameLabel">Token.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/plist/Token.html#newToken-int-">newToken</a></span>(int&nbsp;ofKind)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Token</a></code></td>
<td class="colLast"><span class="typeNameLabel">Token.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/plist/Token.html#newToken-int-java.lang.String-">newToken</a></span>(int&nbsp;ofKind,
        <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;image)</code>
<div class="block">Returns a new Token object, by default.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../org/apache/commons/configuration2/plist/package-summary.html">org.apache.commons.configuration2.plist</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Token</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/plist/ParseException.html#ParseException-org.apache.commons.configuration2.plist.Token-int:A:A-java.lang.String:A-">ParseException</a></span>(<a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Token</a>&nbsp;currentTokenVal,
              int[][]&nbsp;expectedTokenSequencesVal,
              <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;tokenImageVal)</code>
<div class="block">This constructor is used by the method "generateParseException"
 in the generated parser.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/plist/class-use/Token.html" target="_top">Frames</a></li>
<li><a href="Token.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
